## rock-master-20.01-gui-vizkit3d-pcl 0.20170907

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(vizkit3d_pcl 0.1)
rock_standard_layout()

=== viz/CMakeLists.txt ===
rock_find_pkgconfig(Eigen3 eigen3 REQUIRED)
add_definitions(-DEIGEN_USE_NEW_STDVECTOR)
find_package(PCL 1.7 REQUIRED COMPONENTS common)

rock_vizkit_plugin(vizkit3d_pcl-viz
        PluginLoader.cpp
    DEPS_PKGCONFIG
        pcl_common-${PCL_VERSION_MAJOR}.${PCL_VERSION_MINOR}
    MOC
        PCLPointCloudVisualization.cpp
        PolygonMeshVisualization.cpp
    HEADERS
        PCLPointCloudVisualization.hpp
        PolygonMeshVisualization.hpp
        PointCloudDispatcher.hpp)

=== debian/changelog ===
rock-master-20.01-gui-vizkit3d-pcl (0.20170907-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-gui/gui-vizkit3d_pcl.git
  * branch: refs/heads/master
  * commit: 4f3c07a18ea85dacfde2ba465f9240d071b2511f
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sun, 09 Feb 2020 00:39:45 +0100

=== debian/control ===
Source: rock-master-20.01-gui-vizkit3d-pcl
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libpcl-dev, rock-master-20.01-base-cmake, rock-master-20.01-base-types, rock-master-20.01-gui-vizkit3d
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-gui-vizkit3d-pcl
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, rock-master-20.01-base-types, rock-master-20.01-gui-vizkit3d, cmake, libpcl-dev
Description: PCL (Point CLoud Library) visualization plugins
 PCL (Point CLoud Library) visualization plugins
